更新Angular5随记备忘

首先是更新package.json:

npm install webpack  --save

更新@angular/cli:    npm install  @angular/cli@latest

npm i license-webpack-plugin --save

npm i @angular-devkit/build-optimizer --save

npm i file-loader  --save

ngx-bootstrap已经更新到  version: 2.0.0-beta.8,更新package.json

出现如下错误,不知是否会影响之前modal的使用,惊恐万分。

删除了项目中的“import{ ModalDirective }from'ngx-bootstrap/modal/modal.component';”

我只想问,这是个什么鬼。

原来是没有引入copyfiles,package.json中添加:"copyfiles":"1.2.0",

npm i ref --save

然后是一个Electron启动时的问题

npm i ref-array  --save

接下来就是打包了,在package.json的"scripts"中添加,当然显而易见这并不是我写的,有问题找师哥。

"build:win": "cd dist && electron-packager ./ --platform=win32 --arch=all --version=1.4.4 --out ./package --overwrite --ignore=src --ignore=logs --ignore=build --ignore=typings"

推荐阅读更多精彩内容